package com.muyu.product.cache.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.muyu.product.cache.datasource.ProjectSkuStockData;
import com.muyu.product.cache.key.SkuStockKey;
import com.muyu.product.domain.ProjectSkuInfo;
import com.muyu.product.service.ProjectSkuInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author DongZl
 * @description: sku库存实现类
 * @Date 2024-4-2 上午 10:53
 */
@Service
public class ProjectSkuStockDataImpl implements ProjectSkuStockData {

    @Autowired
    private ProjectSkuInfoService projectSkuInfoService;

    @Override
    public Long getData (SkuStockKey key) {
        LambdaQueryWrapper<ProjectSkuInfo> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(ProjectSkuInfo::getProjectId, key.getProjectId());
        queryWrapper.eq(ProjectSkuInfo::getSku, key.getSku());
        ProjectSkuInfo projectSkuInfo = projectSkuInfoService.getOne(queryWrapper);
        return projectSkuInfo.getStock();
    }
}
